#!/bin/sh
#
if [ ! -f /dev/raw1394 ]; then
	mknod -m 600 /dev/raw1394 c 171 0
	chown root.root /dev/raw1394
	echo
	echo "/dev/raw1394 created"
	echo "It is owned by root with permissions 600.  You may want to fix"
	echo "the group/permission to something appropriate for you."
	echo "Note however that anyone who can open raw1394 can access all"
	echo "devices on all connected 1394 buses unrestricted, including"
	echo "harddisks and other probably sensitive devices."
	echo
 fi
#
( cd usr/lib64 ; rm -rf libraw1394.so.8 )
( cd usr/lib64 ; ln -sf libraw1394.so.8.0.0 libraw1394.so.8 )
( cd usr/lib64 ; rm -rf libraw1394.so )
( cd usr/lib64 ; ln -sf libraw1394.so.8.0.0 libraw1394.so )
